Subject: bug#20809: 25.0.50; package-list-packages never finishes async update if cert bad

From: chad <[email-masked]>
Date: Sun, 14 Jun 2015 15:52:29 -0700

> On 14 Jun 2015, at 14:52, Artur Malabarba <[email-masked]> wrote:
> 
> I pushed a change which should handle this, but I can't test it
> because I don't get the "connection cannot be secured" message even if
> I follow your recipe (which is weird, since visiting marmalade on the
> browser clearly shows the certificate is still bad).
> 
> Let me know if it works for you.

I just rebuilt, and it seems to be working. It’s a bit hard to tell
if the other sources are all updating correctly, because the
timestamps on the other sources aren’t updating to the current date
- I *believe* because there arent any new packages since their last
updates. The list updates quickly, and “U" gives me the expected
"nothing to update" response.

  ; ls -alR archives/*/archive-contents
  -rw-r--r--  1 yandros  staff   11670 Jun 13 20:56 archives/Tom/archive-contents
  -rw-r--r--  1 yandros  staff   21278 Jun 14 15:45 archives/gnu/archive-contents
  -rw-r--r--  1 yandros  staff  113127 Jun 13 16:18 archives/marmalade/archive-contents
  -rw-r--r--  1 yandros  staff  159677 Jun 13 20:56 archives/melpa-stable/archive-contents

Thanks!
~Chad